This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1031817 - Setting a quota for the root of a volume changes the reported volume size
Setting a quota for the root of a volume changes the reported volume size
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
3.4.2
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 15:43 EST by Shawn Heisey
Modified: 2015-10-07 09:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 09:50:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Heisey 2013-11-18 15:43:20 EST
I have a 2.6TB test volume.  I did the following commands:

gluster volume quota testvol enable
gluster volume quota testvol limit-usage / 5TB

df line before setting quota to 5TB:
localhost:testvol     2.6T  868G  1.8T  33% /mnt/testvol

df line after setting quota to 5TB:
localhost:testvol     5.0T  3.3T  1.8T  66% /mnt/testvol

df line after removing 5TB quota:
localhost:testvol     2.6T  868G  1.8T  33% /mnt/testvol

df line after setting quota to 2TB:
localhost:testvol     2.0T  405G  1.7T  20% /mnt/testvol

df line after removing the quota entirely:
localhost:testvol     2.6T  868G  1.8T  33% /mnt/testvol

The 'used' space changed along with the total space.

At this time I do not have the hardware available to do a test with 3.4.1.  I will be upgrading this testbed to 3.4.1 after a few days of testing with the older version.  When I get it upgraded, I will try it again.
Comment 1 Niels de Vos 2014-11-27 09:54:36 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.
Comment 2 Shawn Heisey 2014-11-27 11:46:31 EST
I don't have a newer version to try it on, but as a developer of the software, you must have testbeds where you can verify behavior.  With one of those, it would be almost trivial for you to try it and see if the behavior is still the same.
Comment 3 Shawn Heisey 2014-11-27 12:29:10 EST
Most of the bugs that I've filed are things that I'm not willing to try on my production 3.4.2 cluster.  This one I did try.

On 3.4.2, the problem does not manifest with native/fuse mounts.  It *DOES* manifest with NFS mounts, though.  So this is still a problem in 3.4.2.  I do not have a newer 3.4.x version available, and I do not have the time required to rebuild my test servers and set up a test volume.
Comment 4 Niels de Vos 2014-12-14 14:32:40 EST
Thanks for checking Shawn!
Comment 5 Niels de Vos 2015-05-17 17:58:15 EDT
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.
Comment 6 Kaleb KEITHLEY 2015-10-07 09:50:53 EDT
GlusterFS 3.4.x has reached end-of-life.\                                                   \                                                                               If this bug still exists in a later release please reopen this and change the version or open a new bug.

Note You need to log in before you can comment on or make changes to this bug.